CisFu = AceLibrary("AceAddon-2.0"):new("FuBarPlugin-2.0", "AceDB-2.0", "AceConsole-2.0", "AceEvent-2.0")
CisFu.version = "1.0." .. string.sub("$Revision: 30299 $", 12, -3);
CisFu.date = string.sub("$Date: 2007-03-15 18:55:50 -0400 (Thu, 15 Mar 2007) $", 8, 17);
CisFu.hasIcon = "Interface\\GroupFrame\\UI-Group-LeaderIcon"
CisFu.cannotDetachTooltip = true
--CisFu.hideWithoutStandby = true
CisFu:RegisterDB("CisDB")

local Tablet = AceLibrary("Tablet-2.0")


CisFu.options = {
	desc = 'Shows information about all your characters',
	handler = CisFu,
	type = 'group',
	args = CharacterInfoStorage.options.args,
}

CisFu.OnMenuRequest = CisFu.options

function CisFu:OnInitialize()
	if MailInfo and MailInfo.options then
		self.options.args.mailinfo = {
			name = 'MailInfo',
			desc = 'MailInfo settings',
			type = 'group',
			args = MailInfo.options.args,
		} 
	end
end

function CisFu:OnClick()
	CharacterInfoStorage:ToggleUI()
end

function CisFu:OnTextUpdate()
	self:SetText("CharInfo")
end

function CisFu:OnTooltipUpdate()
	Tablet:SetHint("\nLeft-click to display CharacterInfo\nRight-click to display menu")
end